Cancel orders for a market
curl --request DELETE \
--url https://api.aisa.one/apis/v1/polymarket/cancel-market-orders \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"market": "0x0000000000000000000000000000000000000000000000000000000000000001",
"asset_id": "0xabc123def456..."
}
'import requests
url = "https://api.aisa.one/apis/v1/polymarket/cancel-market-orders"
payload = {
"market": "0x0000000000000000000000000000000000000000000000000000000000000001",
"asset_id": "0xabc123def456..."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
market: '0x0000000000000000000000000000000000000000000000000000000000000001',
asset_id: '0xabc123def456...'
})
};
fetch('https://api.aisa.one/apis/v1/polymarket/cancel-market-orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"canceled": [
"0xabcdef1234567890abcdef1234567890abcdef12",
"0xfedcba0987654321fedcba0987654321fedcba09"
],
"not_canceled": {}
}Polymarket Clob
Cancel orders for a market
Cancel orders for a specific market, optionally scoped to an asset ID.
DELETE
https://api.aisa.one
/
apis
/
v1
/
polymarket
/
cancel-market-orders
Cancel orders for a market
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Cancellation results for market orders
Array of order IDs that were successfully canceled
Example:
[
"0xabcdef1234567890abcdef1234567890abcdef12"
]
Map of order IDs that could not be canceled with error messages
Show child attributes
Show child attributes
Example:
{
"0xabcdef1234567890abcdef1234567890abcdef12": "Order not found or already canceled"
}